## aiohttp-sse-client2 0.3.0

=== Makefile ===
.PHONY: clean clean-test clean-pyc clean-build docs help
.DEFAULT_GOAL := help

define BROWSER_PYSCRIPT
import os, webbrowser, sys

try:
	from urllib import pathname2url
except:
	from urllib.request import pathname2url

webbrowser.open("file://" + pathname2url(os.path.abspath(sys.argv[1])))
endef
export BROWSER_PYSCRIPT

define PRINT_HELP_PYSCRIPT
import re, sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("%-20s %s" % (target, help))
endef
export PRINT_HELP_PYSCRIPT

BROWSER := python -c "$$BROWSER_PYSCRIPT"

help:
	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

clean: clean-build clean-pyc clean-test ## remove all build, test, coverage and Python artifacts

clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test: ## remove test and coverage artifacts
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/
	rm -fr .pytest_cache

lint: ## check style with flake8
	flake8 aiohttp_sse_client2 tests

test: ## run tests quickly with the default Python
	py.test

test-all: ## run tests on every Python version with tox
	tox

coverage: ## check code coverage quickly with the default Python
	coverage run --source aiohttp_sse_client2 -m pytest
	coverage report -m
	coverage html
	$(BROWSER) htmlcov/index.html

docs: ## generate Sphinx HTML documentation, including API docs
	rm -f docs/aiohttp_sse_client2.rst
	rm -f docs/modules.rst
	sphinx-apidoc -o docs/ aiohttp_sse_client2
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	$(BROWSER) docs/_build/html/index.html

servedocs: docs ## compile the docs watching for changes
	watchmedo shell-command -p '*.rst' -c '$(MAKE) -C docs html' -R -D .

release: dist ## package and upload a release
	twine upload dist/*

dist: clean ## builds source and wheel package
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist

install: clean ## install the package to the active Python's site-packages
	python setup.py install

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = aiohttp_sse_client2
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
aiohttp-sse-client2 (0.3.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Mon, 13 Oct 2025 12:34:40 +0100

aiohttp-sse-client2 (0.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1117456)

 -- Edward Betts <edward@4angle.com>  Sun, 05 Oct 2025 21:18:26 +0100

=== debian/control ===
Source: aiohttp-sse-client2
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-sphinx <!nodoc>,
Standards-Version: 4.7.2
Homepage: https://github.com/JelleZijlstra/aiohttp-sse-client2
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/aiohttp-sse-client2
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/aiohttp-sse-client2.git

Package: python3-aiohttp-sse-client2
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: Async client for receiving Server-Sent Events streams over HTTP
 This library enables applications to connect to HTTP endpoints that provide
 Server-Sent Events (SSE) and to listen for real-time event streams in an
 asynchronous, non-blocking manner. It maintains a persistent connection to the
 remote SSE server, automatically handling reconnections in cases of network
 interruptions or dropped connections. Incoming event messages are parsed
 according to the SSE protocol specification, making it possible to process
 update notifications, messages, or status changes as soon as they are
 published by the server. This is useful for consuming live data feeds from web
 servers or public APIs, such as news updates or monitoring information. The
 library provides tools for error handling, including exposing server response
 bodies when a connection cannot be established or returns an unexpected status
 code. Communication occurs over standard HTTP, and connections can be
 established securely depending on the endpoint's configuration.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_PYTEST=1
%:
	dh $@ --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build $@ --buildsystem=pybuild
	cd docs; PYTHONPATH=$(CURDIR) LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees . _build/html

override_dh_auto_test:

=== debian/watch ===
Version: 5

Template: Github
Owner: JelleZijlstra
Project: aiohttp-sse-client2
